%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-CGI
Version:       4.56
Release:       2mamba
Summary:       Handle Common Gateway Interface requests and responses
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/CGI/CGI-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl-devel
BuildRequires: perl-Test-Warn
Requires:      perl >= %perl_major_ver

%description
Handle Common Gateway Interface requests and responses.

%prep
%setup -q -n CGI-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Sat Apr 15 2023 Sdk Build System <sdk@mambasoft.it> 4.56-2mamba
- rebuilt with perl 5.36.0

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 4.56-1mamba
- automatic version update by autodist

* Tue Jan 03 2023 Automatic Build System <autodist@mambasoft.it> 4.55-1mamba
- automatic version update by autodist

* Sat Feb 05 2022 Automatic Build System <autodist@mambasoft.it> 4.54-1mamba
- automatic version update by autodist

* Thu Jun 03 2021 Automatic Build System <autodist@mambasoft.it> 4.53-1mamba
- automatic version update by autodist

* Tue May 04 2021 Automatic Build System <autodist@mambasoft.it> 4.52-1mamba
- automatic version update by autodist

* Sat Feb 20 2021 Automatic Build System <autodist@mambasoft.it> 4.51-1mamba
- automatic version update by autodist

* Mon May 04 2020 Automatic Build System <autodist@mambasoft.it> 4.47-1mamba
- automatic update by autodist

* Wed Dec 20 2017 Automatic Build System <autodist@mambasoft.it> 4.38-1mamba
- automatic update by autodist

* Wed Nov 15 2017 Automatic Build System <autodist@mambasoft.it> 4.37-1mamba
- automatic update by autodist

* Fri Nov 11 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.35-1mamba
- package created using the webbuild interface
